std::iterator_traits< _Iterator > Struct Template Reference
Iterators

## Detailed Description

template<typename _Iterator>
struct std::iterator_traits< _Iterator >

Traits class for iterators.

This class does nothing but define nested typedefs. The general version simply forwards the nested typedefs from the Iterator argument. Specialized versions for pointers and pointers-to-const provide tighter, more correct semantics.

Definition at line 179 of file stl_iterator_base_types.h.

The documentation for this struct was generated from the following file:

- iterator_concepts.h